import 'txt_to_morse_parser.dart';

class Morse {
  String text;

  @override
  String toString() {
    return text;
  }

  Morse({required this.text});

  factory Morse.TextToMorse(String? text) {
    if (text == null) throw ArgumentError();
    String finaltxt = '';

    List<String> words = text.split(" ");
    for (int i = 0; i < words.length; i++) {
      String word = words[i];
      List<String> letters = word.split('');
      String morsetxt = '';

      for (int j = 0; j < letters.length; j++) {
        String letter = letters[j];
        morsetxt += MorseParser.ParseToMorse(letter.toLowerCase());

        if (j != letters.length - 1) {
          morsetxt += ' ';
        }
      }

      if (i != words.length - 1) {
        morsetxt += '/';
      }

      finaltxt += morsetxt;
    }

    return Morse(text: finaltxt);
  }
}
